# flutterfly

A collection of common widgets, validators, extensions, utilities, as well as some other stuffs that are currently non-existent.

## Getting Started

- Add [flutterfly](https://pub.dev/packages/flutterfly) to your flutter package's pubspec.yaml file :

  ```yaml
  dependencies:
    flutterfly: ^<latest_version>
  ```

## Main Considerations

- Only includes the stuffs that don't exist yet, yet essentially important and is broadly re-used across our projects, hence we expect this library to be `open for extension, but closed for modification`
- Brutally **tested**

## Contents

- **Views**

  - Widget Components
    - URL Image with loading progress
    - Timeline

- **Common**

  - Extensions
    - String Extensions
    - Num Extensions
    - Map Extensions
  - Validators
    - String Validator
      - Min Length
      - Special Characters
      - Email
      - etc.
    - Num Validator
      - Positive
      - Greater Than
      - Less Than
      - Between
      - etc.
  - Utils
    - Connection Utils

## Documentation

Coming Soon.

Pull requests are welcome :)

## License

**MIT**
